/*------------------------------------------------------------------------------
 * Example main module
 * Copyright (c) 2019-2020 Arm Limited (or its affiliates). All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    main.c
 * Purpose: Main module
 *----------------------------------------------------------------------------*/

#include "main.h"
#include "LPC43xx.h"                    // Device header
#include "GPIO_LPC43xx.h"               // Keil::Device:GPIO
#include "SCU_LPC43xx.h"                // Keil::Device:SCU



/*------------------------------------------------------------------------------
 * main function
 *----------------------------------------------------------------------------*/
int main(void) {

  SystemCoreClockUpdate ();                     // Update System Core Clock info
  
    /* LAN8720 on LPC430-Xplorer uses a GPIO for nRST */
  GPIO_PortClock   (1U);
  GPIO_SetDir      (0U, 4U, GPIO_DIR_OUTPUT);
  GPIO_PinWrite    (0U, 4U, 1);
  SCU_PinConfigure (1U, 0U, SCU_CFG_MODE_FUNC0);

  osKernelInitialize ();                        // Initialize CMSIS-RTOS2
  osThreadNew (app_main, NULL, &app_main_attr); // Create application main thread
  osKernelStart ();                             // Start thread execution

  for (;;) {}
}
